at.chipkarte.client.vdas.soap.constants

## Class VdasMessage

- Object
- - at.chipkarte.client.vdas.soap.constants.VdasMessage

-     public final class VdasMessage
      extends Object

  Zusatzinformationen im Falle einer am e-card-Serversystem erfolgreich durchgeführten Versichertendatenabfrage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ABGELEITETER_ANSPRUCH_UNGUELTIG` Der gewählte abgeleitete KV-Anspruch ist nicht (mehr) gültig.
    `static int` | `ANSPRUCH_AUSWAEHLEN` Einer der ÖGK-Ansprüche muss ausgewählt werden.
    `static int` | `ASVG_ODER_SONDERANSPRUCH_AUSWAEHLEN` Einer der Ansprüche muss ausgewählt werden.
    `static int` | `KEIN_ANSPRUCH` Der Patient hat keinen gültigen KV-Anspruch.
    `static int` | `KEIN_ANSPRUCH_SVT` Der Patient hat keinen gültigen KV-Anspruch zum gewählten KVT, aber zu einem anderen.
    `static int` | `KEIN_ANSPRUCH_ZU_DIESEM_DATUM` Zum angegebenen Datum kann kein gültiger KV-Anspruch ermittelt werden.
    `static int` | `MEHRFACHVERSICHERUNG` Es liegt eine Mehrfachversicherung vor - KVT muss erfasst werden.
    `static int` | `PATIENT_ABGL_KVANSPRUECHE` Einer der abgeleiteten Ansprüche muss ausgewählt werden.
    `static int` | `PERSON_VERSTORBEN` Der Patient ist (zum Abfragedatum) bereits als verstorben gemeldet.
    `static int` | `SVT_UEBERSTEUERT` KVT wurde übersteuert.

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SVT_UEBERSTEUERT

          public static final int SVT_UEBERSTEUERT

      KVT wurde übersteuert.
      See Also:
        Constant Field Values

    - #### PATIENT_ABGL_KVANSPRUECHE

          public static final int PATIENT_ABGL_KVANSPRUECHE

      Einer der abgeleiteten Ansprüche muss ausgewählt werden.
      See Also:
        Constant Field Values

    - #### ANSPRUCH_AUSWAEHLEN

          public static final int ANSPRUCH_AUSWAEHLEN

      Einer der ÖGK-Ansprüche muss ausgewählt werden.
      See Also:
        Constant Field Values

    - #### ASVG_ODER_SONDERANSPRUCH_AUSWAEHLEN

          public static final int ASVG_ODER_SONDERANSPRUCH_AUSWAEHLEN

      Einer der Ansprüche muss ausgewählt werden.
      See Also:
        Constant Field Values

    - #### ABGELEITETER_ANSPRUCH_UNGUELTIG

          public static final int ABGELEITETER_ANSPRUCH_UNGUELTIG

      Der gewählte abgeleitete KV-Anspruch ist nicht (mehr) gültig.
      See Also:
        Constant Field Values

    - #### KEIN_ANSPRUCH

          public static final int KEIN_ANSPRUCH

      Der Patient hat keinen gültigen KV-Anspruch.
      See Also:
        Constant Field Values

    - #### KEIN_ANSPRUCH_SVT

          public static final int KEIN_ANSPRUCH_SVT

      Der Patient hat keinen gültigen KV-Anspruch zum gewählten KVT, aber zu einem anderen.
      See Also:
        Constant Field Values

    - #### MEHRFACHVERSICHERUNG

          public static final int MEHRFACHVERSICHERUNG

      Es liegt eine Mehrfachversicherung vor - KVT muss erfasst werden.
      See Also:
        Constant Field Values

    - #### KEIN_ANSPRUCH_ZU_DIESEM_DATUM

          public static final int KEIN_ANSPRUCH_ZU_DIESEM_DATUM

      Zum angegebenen Datum kann kein gültiger KV-Anspruch ermittelt werden.
      See Also:
        Constant Field Values

    - #### PERSON_VERSTORBEN

          public static final int PERSON_VERSTORBEN

      Der Patient ist (zum Abfragedatum) bereits als verstorben gemeldet.
      See Also:
        Constant Field Values